ICU 76.1: Data Fields

ICU 76.1 76.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- p : UText
- padder : icu::number::impl::MacroProps
- padding() : icu::number::NumberFormatterSettings< Derived >
- padLeading() : icu::UnicodeString
- padTrailing() : icu::UnicodeString
- ParagraphLayout() : icu::ParagraphLayout
- parse() : icu::ChoiceFormat, icu::CompactDecimalFormat, icu::DateFormat, icu::DecimalFormat, icu::MessageFormat, icu::MessagePattern, icu::NumberFormat, icu::RuleBasedNumberFormat, icu::SimpleDateFormat, icu::TimeZoneFormat
- parseChoiceStyle() : icu::MessagePattern
- parseCurrency() : icu::CompactDecimalFormat, icu::DecimalFormat, icu::NumberFormat
- parseObject() : icu::DateFormat, icu::DateIntervalFormat, icu::Format, icu::MeasureFormat, icu::MessageFormat, icu::NumberFormat, icu::PluralFormat, icu::SelectFormat, icu::TimeUnitFormat, icu::TimeZoneFormat
- parseOffsetISO8601() : icu::TimeZoneFormat
- parseOffsetLocalizedGMT() : icu::TimeZoneFormat
- parseOffsetShortLocalizedGMT() : icu::TimeZoneFormat
- parsePluralStyle() : icu::MessagePattern
- ParsePosition() : icu::ParsePosition
- parseReference() : icu::SymbolTable
- parseSelectStyle() : icu::MessagePattern
- Part() : icu::MessagePattern::Part
- partSubstringMatches() : icu::MessagePattern
- Pattern() : icu::message2::data_model::Pattern
- pattern() : icu::RegexMatcher, icu::RegexPattern
- PatternPart() : icu::message2::data_model::PatternPart
- patternText() : icu::RegexPattern
- permute() : icu::CanonicalIterator
- perUnit : icu::number::impl::MacroProps, icu::number::NumberFormatterSettings< Derived >
- pExtra : UText
- pFuncs : UText
- pinField() : icu::Calendar
- PluralFormat() : icu::PluralFormat
- PluralRules() : icu::PluralRules
- pointer : icu::Transliterator::Token
- pointerToken() : icu::Transliterator
- populateDecimalQuantity() : icu::Formattable
- pos : icu::CharacterIterator
- postContext : UParseError
- powerOfTen() : icu::number::Scale
- preceding() : icu::BreakIterator, icu::RuleBasedBreakIterator, icu::SearchIterator
- precision : icu::number::impl::MacroProps, icu::number::NumberFormatterSettings< Derived >
- preContext : UParseError
- Predicate() : U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result >
- prepareGetActual() : icu::Calendar
- previous() : icu::BreakIterator, icu::CharacterIterator, icu::CollationElementIterator, icu::Normalizer, icu::RuleBasedBreakIterator, icu::SearchIterator, icu::UCharCharacterIterator, UCharIterator
- previous32() : icu::CharacterIterator, icu::UCharCharacterIterator
- primaryOrder() : icu::CollationElementIterator
- privA : UText
- privB : UText
- privC : UText
- privP : UText
- product() : icu::MeasureUnit
- providerProperties : UText
- ptr : icu::LocalPointerBase< T >